image: python:3.10-bullseye

workflow:
  rules:
    - if: $CI_COMMIT_BRANCH

pages:
  stage: deploy
  before_script:
    - apt-get -y install make
    - pip install . .[docs]
  script:
    - cd docs && make docs && touch .nojekyll
  after_script:
    - mv docs/build/html/ ./public
  artifacts:
    paths:
    - public
  environment:
    name: Documentation Pages
    url: https://$CI_PROJECT_NAMESPACE.gitlab.io/$CI_PROJECT_NAME
  rules:
    - if: $CI_COMMIT_BRANCH == "staging"


pages:
  stage: deploy
  before_script:
    - apt-get -y install make
    - pip install . .[docs]
  script:
    - cd docs && make docs
  after_script:
    - mv docs/build/html/ ./public
  artifacts:
    paths:
    - public
  environment:
    name: Documentation Pages
    url: https://$CI_PROJECT_NAMESPACE.gitlab.io/$CI_PROJECT_NAME
  rules:
    - if: $CI_COMMIT_BRANCH == "production"

